Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!Close

CVE-2017-12177

Published: 12 October 2017

xorg-x11-server before 1.19.5 was vulnerable to integer overflow in ProcDbeGetVisualInfo function allowing malicious X client to cause X server to crash or possibly execute arbitrary code.

Priority

Medium

Cvss 3 Severity Score

9.8

Score breakdown

Status

Package Release Status
xorg-server
Launchpad, Ubuntu, Debian
trusty
Released (2:1.15.1-0ubuntu2.11)
upstream
Released (1.19.5)
xenial
Released (2:1.18.4-0ubuntu0.7)
zesty
Released (2:1.19.3-1ubuntu1.3)
Patches:
upstream: https://cgit.freedesktop.org/xorg/xserver/commit/?id=4ca68b878e851e2136c234f40a25008297d8d831
xorg-server-lts-wily
Launchpad, Ubuntu, Debian
xenial Does not exist

zesty Does not exist

trusty Does not exist
(trusty was ignored [end of life])
upstream Needs triage

xorg-server-lts-xenial
Launchpad, Ubuntu, Debian
trusty
Released (2:1.18.3-1ubuntu2.3~trusty4)
upstream
Released (1.19.5)
xenial Does not exist

zesty Does not exist

xorg
Launchpad, Ubuntu, Debian
trusty Does not exist
(trusty was not-affected [code not present])
upstream Not vulnerable

xenial Not vulnerable
(code not present)
zesty Not vulnerable
(code not present)
xorg-hwe-16.04
Launchpad, Ubuntu, Debian
trusty Does not exist

upstream Not vulnerable

xenial Not vulnerable
(code not present)
zesty Does not exist

xorg-server-hwe-16.04
Launchpad, Ubuntu, Debian
trusty Does not exist

upstream
Released (1.19.5)
xenial
Released (2:1.19.3-1ubuntu1~16.04.4)
zesty Does not exist

xorg-server-lts-utopic
Launchpad, Ubuntu, Debian
trusty Does not exist
(trusty was ignored [end of life])
upstream Needs triage

xenial Does not exist

zesty Does not exist

xorg-server-lts-vivid
Launchpad, Ubuntu, Debian
trusty Does not exist
(trusty was ignored [end of life])
upstream Needs triage

xenial Does not exist

zesty Does not exist

Severity score breakdown

Parameter Value
Base score 9.8
Attack vector Network
Attack complexity Low
Privileges required None
User interaction None
Scope Unchanged
Confidentiality High
Integrity impact High
Availability impact High
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H